package com.red.circle.other.infra.database.cache.service.other;

import java.util.List;

/**
 * 游戏缓存.
 *
 * @author pengliang on 2021/7/27
 */
public interface GameCacheService {


  /**
   * 累计加入游戏人数.
   *
   * @param gameId 游戏id
   * @return 数量
   */
  Integer inrJoinNumberPeopleLudo(Long gameId);

  /**
   * 是否可以已加入游戏.
   *
   * @param gameId 游戏id
   * @param userId 用户
   * @return true 可以，false 不可以
   */
  boolean isJoinGameLudo(Long gameId, Long userId);

  /**
   * 设置加入游戏.
   */
  boolean setJoinGameLudo(Long gameId, Long userId);

  /**
   * 删除所有缓存标记.
   */
  void removeLudo(Long roomId, List<Long> userIds);

}
